Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.accessinput
Class AccessInputData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.accessinput.AccessInputData

All Implemented Interfaces:
  StepDataInterface

    public class AccessInputData

extends BaseStepData
implements StepDataInterface

Since:
  24-May-2005
Author:
  Samatar Hassan

Field Summary
`org.pentaho.di.core.row.RowMetaInterface` | `convertRowMeta`
`com.healthmarketscience.jackcess.Database` | `d`
`SimpleDateFormat` | `daf`
`org.apache.commons.vfs.FileObject` | `file`
`int` | `filenr`
`org.pentaho.di.core.fileinput.FileInputList` | `files`
`FileInputStream` | `fr`
`int` | `indexOfFilenameField`
`org.pentaho.di.core.row.RowMetaInterface` | `inputRowMeta`
`BufferedInputStream` | `is`
`boolean` | `last_file`
`int` | `nr_repeats`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`Object[]` | `previousRow`
`Object[]` | `readrow`
`long` | `rownr`
`Map<String,Object>` | `rw`
`com.healthmarketscience.jackcess.Table` | `t`
`String` | `thisline`
`int` | `totalpreviousfields`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`AccessInputData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### thisline

    public String thisline

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### convertRowMeta

    public org.pentaho.di.core.row.RowMetaInterface convertRowMeta

### previousRow

    public Object[] previousRow

### nr_repeats

    public int nr_repeats

### daf

    public SimpleDateFormat daf

### files

    public org.pentaho.di.core.fileinput.FileInputList files

### last_file

    public boolean last_file

### file

    public org.apache.commons.vfs.FileObject file

### filenr

    public int filenr

### fr

    public FileInputStream fr

### is

    public BufferedInputStream is

### rownr

    public long rownr

### d

    public com.healthmarketscience.jackcess.Database d

### t

    public com.healthmarketscience.jackcess.Table t

### rw

    public Map<String,Object> rw

### inputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface inputRowMeta

### totalpreviousfields

    public int totalpreviousfields

### indexOfFilenameField

    public int indexOfFilenameField

### readrow

    public Object[] readrow

Constructor Detail

### AccessInputData

    public AccessInputData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD